function ret = periodicB(i,n,k,t)
%
% ret = periodicB(i,n,k,t)
%
% periodic B-spline for B-spline curves
%
% we mean there are n+1 control points and we need n+1+k knots
knots = (1-k:n+k)/(n+1);
% knots = (1-k:k+1)/(n+1); these are enough for periodicB(k,n,k,t)
ret = BSplineEval(i,k,knots,t);
%!demo
%! n = 4;
%! k = 4;
%! t = linspace(0,1,101);
%! i = 4;
%! plot(t,periodicB(i,n,k,t))